@import '../../../sass/bootstrap/variables-bootswatch'

.background-yt
    position: absolute
    top: 0
    left: 0
    right: 0
    bottom: 0
    z-index: -1

    background-color: $gray-500

    div
        position: absolute
        top: 0
        left: 0
        right: 0
        bottom: 0

        filter: none
        opacity: 1
        transition: filter 1s, opacity 1s

    &.blur div
        filter: blur(4px) !important
        opacity: .5 !important

.queue-list
    opacity: 1
    transition: opacity 1s

.fade
    opacity: 0


.queue-item
    position: relative
    background-color: rgba($gray-800, .8)

    &:hover
        background-color: $gray-900

    &:active
        background-color: $gray-700

    .media-body
        text-overflow: ellipsis
        white-space: nowrap
        overflow: hidden
        font-weight: bold

        .queue-name
            font-size: 1.5em
            line-height: 50px

        .queue-user
            font-size: 1em

    .queue-nr
        font-size: 2em
        font-weight: bold
        line-height: 85px
